CREATE OR REPLACE VIEW public.shared_accounts_v AS 
 SELECT acct.id,
    acct.unique_account_id,
    acct.name,
    acct.collected_entity,
    acct.effective_entity,
    acct.sversion AS saccount_sversion,
    saccu.suser,
    saccu.sversion AS saccount_user_sversion,
    suser.display_name
   FROM saccount acct
     LEFT JOIN saccount_user saccu ON acct.collected_entity = saccu.saccount
     LEFT JOIN ( SELECT max(saccu2.sversion) AS max_sversion
           FROM saccount_user saccu2) version ON version.max_sversion = saccu.sversion
     LEFT JOIN suser suser ON suser.id = saccu.suser
  WHERE acct.relation_to_user_type::text = 'SHARED'::text AND saccu.effective = false AND acct.virtual = false AND acct.effective = true
  ORDER BY acct.name, suser.display_name;

ALTER TABLE public.shared_accounts_v
  OWNER TO igops;
GRANT ALL ON TABLE public.shared_accounts_v TO igops;
GRANT SELECT ON TABLE public.shared_accounts_v TO ig_report_role;